Bug 525501 - xfce4-mouse-settings not starting
Summary: xfce4-mouse-settings not starting
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: xfce4-settings
Version: rawhide
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Kevin Fenzi
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-09-24 15:40 UTC by Alexey Torkhov
Modified: 2009-11-10 00:48 UTC (History)
2 users (show)

Fixed In Version: 4.6.3-2.fc12
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-11-10 00:48:03 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Xfce 4929 None None None Never

Description Alexey Torkhov 2009-09-24 15:40:44 UTC
Description of problem:
Mouse settings are not opening from settings dialog nor starting from console:

$ xfce4-mouse-settings 

(xfce4-mouse-settings:23548): xfce4-mouse-settings-CRITICAL **: XI is not present or too old.

Version-Release number of selected component (if applicable):
xfce4-settings-4.6.1-4.fc12.x86_64

How reproducible:
Always

Comment 1 Kevin Fenzi 2009-09-25 19:16:51 UTC
I can duplicate this here. Will investigate further. 

Thanks for the bug report!

Comment 2 Kevin Fenzi 2009-09-26 02:04:32 UTC
This appears to be a change in libXi, rawhide has a newer version than xfce4-mouse-settings can deal with. ;( 

See upstream bug: 
http://bugzilla.xfce.org/show_bug.cgi?id=4929

Comment 3 Christoph Wickert 2009-11-10 00:48:03 UTC
Patch from the upstream bug was applied in 4.6.3-2.fc12. Last minute tagging was requested: https://fedorahosted.org/rel-eng/ticket/3143

Closing.


Note You need to log in before you can comment on or make changes to this bug.